# Interface GetConversationEventsParameters

Parameters object for VonageClient.getConversationEvents

interface GetConversationEventsParameters {
cursor?: Nullable<string>;
eventFilter?: Nullable<string[]>;
includeDeletedEvents?: Nullable<boolean>;
order?: Nullable<PresentingOrder>;
pageSize?: Nullable<number>;
startId?: Nullable<number>;
}

#####
Index

### Properties

cursor?
eventFilter?
includeDeletedEvents?
order?
pageSize?
startId?

## Properties

### `Optional` `Readonly` cursor

cursor?: Nullable<string>

The cursor indicating the starting point for pagination, default is the first page.

### `Optional` `Readonly` eventFilter

eventFilter?: Nullable<string[]>

A list of strings containing the types of events to be fetched and should have maximum 5 elements, default includes all events.

### `Optional` `Readonly` includeDeletedEvents

includeDeletedEvents?: Nullable<boolean>

Indicates whether to include deleted events in the list, default is false.

### `Optional` order

order?: Nullable<PresentingOrder>

The order in which conversation events are presented, default is PresentingOrder.ASC.

### `Optional` pageSize

pageSize?: Nullable<number>

The maximum number of conversation events to retrieve per request, default is 10.

### `Optional` startId

startId?: Nullable<number>

Specify the starting id of the events to be returned, default includes all events.